Subject: RE: What we disagree on RE: TE Requirements Draft-ELSP

From: Francois Le Faucheur <[email-masked]>
Date: Fri, 07 Dec 2001 14:08:06 +0100

Shai,

At 12:55 06/12/2001 -0500, Shai Herzog wrote:
>Nabil,
>
> >-----Original Message-----
> >From: [email-masked] [mailto:[email-masked]]On
> >Behalf Of Nabil Seddigh
> >Sent: December 6, 2001 11:43 AM
> >To: Francois Le Faucheur
> >Cc: [email-masked]
> >Subject: Re: What we disagree on RE: TE Requirements Draft-ELSP
> >
> >
> >Francois,
> >
> >What is being proposed regarding multiple OAs on an E-LSP are
> >protocol extensions that are OPTIONAL. If certain folks religiously
> >believe that L-LSPs or E-LSPs with a single class are the way
> >to go, they do not have to do this nor do the protocols have
> >to signal or advertise any extra information beyond what is
> >mandated in the DS-TE REQ today.
>
>First, "religion" means blind faith without proof, this isn't the case. In
>fact, what I hear from Francois sounds more like a religios argument: I want
>it, therefore it exists.
>My claim is that it doesn't matter how much you'll want it, it doesn't
>exist.

before you jumped into this thread we spent time converging on a precise 
breakdown of options (i), (ii), (iiia) and (iiib). The reason we did that 
is because there was lots of cross-purpose discussion before.

This is happening again in this thread where Nabil is generally arguing in 
favor of (iiia) while you're generally arguing against (ii). It would be 
very useful if you indicate in your arguments and colourful analogies 
precisely which of these options you are refering to , instead of "this 
option" or "this weird option".

This would also help avoiding the above fascinating situation where, in two 
consecutive paragraphs , I am simultaneously :
         - accused of being religious because I am too closed to adding 
options [ie arguing against (iiia) because of its protocol extensions]
         - accused of being religious because I am too open to adding 
options [ie arguing that it is OK to allow option (ii) since it doesn't 
require any protocol extension].
Funny world.

If I understand correctly, this is where we stand :
         - Nabil is saying, let's allow (ii) and (iiia)
         - Shai is saying, let's not allow (ii) nor (iiia)
         - Francois is saying, let's allow (ii) but not (iiia).
At least, my religion is more middle-of-the-ground than either of yours. '^)

Cheers

Francois

---

From: Nabil Seddigh <[email-masked]>
Date: Fri, 07 Dec 2001 11:00:55 -0500

Francois,

The reference to religion was not intended to be directed to you
specifically nor was it meant to be derogatory. No accusations
intended. Apologies if it came out that way.

Those in favour of including an option for (iiia) believe it 
has a number of benefits. Those in favour of excluding (iiia)
believe those benefits are not important and that it causes 
certain other problems - problems the those in favour of
the option think are not important.

I guess the elephant has many sides and people are seeing different
sides.

Best,
Nabil

> ..... I am simultaneously :

---

From: Nabil Seddigh <[email-masked]>
Date: Fri, 07 Dec 2001 11:03:01 -0500

Francois,

Actually, I've primarily been arguing for (iiia). I agreed to (ii) only
because it appeared that others may be interested in it - I can't 
remember who.

Best,
Nabil